Enum
Predefined Annotation Types
Predefined annotation type ids.
Include Headers
seqan/store.h
Remarks
The FragmentStore predefines some commonly used typeId values. They can be used to compare or set the typeId directly as a fast alternative to getType and setType.
Member of
FragmentStore
Values

ANNO_ROOT | The root node ("<root>").
ANNO_GENE | A gene ("gene").
ANNO_MRNA | An mRNA sequence, aka transcript ("mRNA").
ANNO_CDS | A coding region ("CDS").
ANNO_EXON | An exon ("exon").
ANNO_FIVE_PRIME_UTR | A 5' untranslated region ("five_prime_UTR").
ANNO_INTRON | An intron ("intron").
ANNO_THREE_PRIME_UTR | A 3' untranslated region ("three_prime_UTR").

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57